## bustools 0.40.0

=== src/CMakeLists.txt ===
file(GLOB sources *.cpp *c)
file(GLOB headers *.hpp *.h)

list(REMOVE_ITEM sources bustools_main.cpp)


add_library(bustools_core ${sources} ${headers})
target_include_directories(bustools_core PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

add_executable(bustools bustools_main.cpp)

find_package( Threads REQUIRED )
target_link_libraries(bustools bustools_core pthread)

if(LINK MATCHES static)
    set(BUILD_SHARED_LIBS OFF)

    if (UNIX AND NOT APPLE)
        set(CMAKE_EXE_LINKER_FLAGS  "-static -static-libstdc++")
        SET(CMAKE_FIND_LIBRARY_SUFFIXES ".a")
        set(CMAKE_EXE_LINKER_FLAGS  "-static -static-libgcc -static-libstdc++")
    endif(UNIX AND NOT APPLE)

    SET_TARGET_PROPERTIES(bustools PROPERTIES LINK_SEARCH_END_STATIC 1)
endif(LINK MATCHES static)

 find_package( ZLIB REQUIRED )
 target_link_libraries(bustools ${ZLIB_LIBRARIES})

 if ( ZLIB_FOUND )
     include_directories( ${ZLIB_INCLUDE_DIRS} )
 else()
   message(FATAL_ERROR "zlib not found. Required for reading FASTQ files" )
 endif( ZLIB_FOUND )

if(LINK MATCHES static)
    if (UNIX AND NOT APPLE)
        target_link_libraries(bustools librt.a)
    endif()
else()
    if (UNIX AND NOT APPLE)
        target_link_libraries(bustools rt)
    endif()
endif(LINK MATCHES static)

install(TARGETS bustools DESTINATION bin)

=== debian/changelog ===
bustools (0.40.0-4) unstable; urgency=medium

  * Team upload.
  * Fix help2man call

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2020 23:00:12 +0200

bustools (0.40.0-3) unstable; urgency=medium

  * Team upload.
  * Enable more architectures
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Mon, 11 May 2020 22:11:25 +0200

bustools (0.40.0-2) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.

  * Merged parallel packaging effort. (Closes: #952658)
    - Added link-time optimisation
    - Added man page

 -- Alexandre Mestiashvili <mestia@debian.org>  Fri, 03 Apr 2020 22:21:39 +0200

bustools (0.40.0-1) unstable; urgency=medium

  * Initial release. Closes: #950922

 -- Alexandre Mestiashvili <mestia@debian.org>  Thu, 20 Feb 2020 17:43:22 +0100

=== debian/control ===
Source: bustools
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alexandre Mestiashvili <mestia@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               help2man,
               cmake,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/bustools
Vcs-Git: https://salsa.debian.org/med-team/bustools.git
Homepage: https://bustools.github.io/
Rules-Requires-Root: no

Package: bustools
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: program for manipulating BUS files for single cell RNA-Seq datasets
 This package contains BUStools program, it can be used to error correct
 barcodes, collapse UMIs, produce gene count or transcript compatibility
 count matrices

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh  $@ --buildsystem=cmake

DH_AUTO_CONFIGURE_OPTS := -DCMAKE_BUILD_TYPE=Debug

override_dh_auto_configure:
	dh_auto_configure -- $(DH_AUTO_CONFIGURE_OPTS)

override_dh_auto_build:
	dh_auto_build
	help2man ./obj-$(DEB_BUILD_GNU_TYPE)/src/bustools > bustools.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f bustools.1

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*//g,repack,compression=xz" \
  https://github.com/BUStools/bustools/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## bustools 0.41.0%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,14 @@
 Uploaders: Alexandre Mestiashvili <mestia@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                cmake,
-               zlib1g-dev
-Standards-Version: 4.5.0
+               zlib1g-dev,
+               libeigen3-dev,
+               libcppnumericalsolvers-dev,
+               liblbfgspp-dev
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/bustools
 Vcs-Git: https://salsa.debian.org/med-team/bustools.git
 Homepage: https://bustools.github.io/

## bustools 0.41.0+dfsg

=== debian/changelog ===
bustools (0.41.0+dfsg-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * New upstream version 0.41.0+dfsg
  * d/watch: Fix watch regex
  * d/copyright: Exclude dependencies
  * d/control
    - Add needed Build-deps
    - Bump debhelper-compat to 13
    - Declare compliance with policy 4.6.0
  * d/p/use-packaged-libs.patch: Add patch to use packaged libraries
    rather than vendored ones
  * Add autopkgtests (Closes: #986203)

  [ Steffen Moeller ]
  * Fix watchfile to detect new versions on github (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Nov 2021 20:39:59 +0530

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*//g,repack,compression=xz" \
  https://github.com/BUStools/bustools/releases .*/.*/v?@ANY_VERSION@@ARCHIVE_EXT@

## bustools 0.42.0+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.12)

project(bustools)

SET(CMAKE_CXX_FLAGS "-std=c++11")
SET(CMAKE_C_FLAGS "-std=c99")

if(NOT CMAKE_BUILD_TYPE)
    set(CMAKE_BUILD_TYPE "Release")
endif()

if(CMAKE_BUILD_TYPE MATCHES Debug)
	message("debug mode")
	add_compile_options(-g)
else(CMAKE_BUILD_TYPE MATCHES Debug)
	if(CMAKE_BUILD_TYPE MATCHES Profile)
		message("profile mode")
		add_compile_options(-pg)
		set(CMAKE_SHARED_LINKER_FLAGS "-pg")
		set(CMAKE_EXE_LINKER_FLAGS "-pg")
	else(CMAKE_BUILD_TYPE MATCHES Profile)
		message("release mode")
		add_compile_options(-O3)
	endif(CMAKE_BUILD_TYPE MATCHES Profile)
endif(CMAKE_BUILD_TYPE MATCHES Debug)

add_subdirectory(src)

=== debian/changelog ===
bustools (0.42.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 0.42.0+dfsg

 -- Nilesh Patra <nilesh@debian.org>  Sat, 31 Dec 2022 11:11:50 +0000

bustools (0.41.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Sep 2022 08:32:23 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libeigen3-dev,
                libcppnumericalsolvers-dev,
                liblbfgspp-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/bustools
 Vcs-Git: https://salsa.debian.org/med-team/bustools.git
 Homepage: https://bustools.github.io/

## bustools 0.43.2+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -33,6 +33,11 @@
    message(FATAL_ERROR "zlib not found. Required for reading FASTQ files" )
  endif( ZLIB_FOUND )
 
+include_directories(../dependencies/CppNumericalSolvers-v1/include)
+include_directories(../dependencies/eigen-3.3.7)
+include_directories(../dependencies/LBFGSpp-2020-03-06/include)
+
+
 if(LINK MATCHES static)
     if (UNIX AND NOT APPLE)
         target_link_libraries(bustools librt.a)

=== debian/changelog ===
bustools (0.43.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.43.2+dfsg
  * d/copyright, update license from MIT to Expat for src/kseq.h
  * d/patches/use-packaged-libs.patch, fit description into 79 chars
  * d/patches/inject_hardening_flags_cmake.patch, no need to forward upstream

 -- Alexandre Mestiashvili <mestia@debian.org>  Sun, 14 Jan 2024 18:52:45 +0100

bustools (0.43.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Nov 2023 08:41:17 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libeigen3-dev,
                libcppnumericalsolvers-dev,
                liblbfgspp-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/bustools
 Vcs-Git: https://salsa.debian.org/med-team/bustools.git
 Homepage: https://bustools.github.io/

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg\d*//g,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
  https://github.com/BUStools/bustools/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## bustools 0.45.1+dfsg

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -28,7 +28,13 @@
  target_link_libraries(bustools ${ZLIB_LIBRARIES})
 
  if ( ZLIB_FOUND )
-     include_directories( ${ZLIB_INCLUDE_DIRS} )
+    if (DEFINED ZLIB_INCLUDE_DIRS)
+        include_directories( ${ZLIB_INCLUDE_DIRS} )
+    elseif (DEFINED ZLIB_INCLUDE_DIR)
+        include_directories( ${ZLIB_INCLUDE_DIR} )
+    else()
+        message(FATAL_ERROR "zlib found but no include directories are set.")
+    endif()
  else()
    message(FATAL_ERROR "zlib not found. Required for reading FASTQ files" )
  endif( ZLIB_FOUND )

=== debian/changelog ===
bustools (0.45.1+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * d/watch: version=5
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)
  * Fix build using CMake 4
    Closes: #1112739

  [ Emanuele Rocca ]
  * Use default CFLAGS and CXXFLAGS set by dpkg
    Closes: #1104777

 -- Andreas Tille <tille@debian.org>  Thu, 16 Oct 2025 11:32:06 +0200

=== debian/control ===
Source: bustools
Standards-Version: 4.7.2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
 Alexandre Mestiashvili <mestia@debian.org>,
Section: science
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 help2man,
 cmake,
 zlib1g-dev,
 libeigen3-dev,
 libcppnumericalsolvers-dev,
 liblbfgspp-dev,
Vcs-Browser: https://salsa.debian.org/med-team/bustools
Vcs-Git: https://salsa.debian.org/med-team/bustools.git
Homepage: https://bustools.github.io/
Rules-Requires-Root: no

Package: bustools
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: program for manipulating BUS files for single cell RNA-Seq datasets
 This package contains BUStools program, it can be used to error correct
 barcodes, collapse UMIs, produce gene count or transcript compatibility
 count matrices

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 %:
 	dh  $@ --buildsystem=cmake
 
-DH_AUTO_CONFIGURE_OPTS := -DCMAKE_BUILD_TYPE=Debug
+DH_AUTO_CONFIGURE_OPTS := -DCMAKE_BUILD_TYPE=Debug -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(DH_AUTO_CONFIGURE_OPTS)

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: BUStools
Project: @PACKAGE@
Repack-Suffix: +dfsg
Dversion-Mangle: auto
